Query policies
curl --request GET \
--url https://api.example.com/api/v2/policies/import requests
url = "https://api.example.com/api/v2/policies/"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v2/policies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"id": "<string>",
"name": "<string>",
"plan_policy_id": "<string>",
"plan": {
"name": "<string>",
"state": "<string>"
},
"type": "<string>",
"file_url": "<string>",
"date_effective": "<string>",
"date_expiration": "<string>",
"is_active": true,
"parent_policy_id": "<string>",
"hcpcs_codes": [
"<string>"
],
"icd10_cm_codes": [
"<string>"
],
"rank": 123,
"updated_at": "<string>"
}
],
"count": 123
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}{
"error": "<string>",
"message": "<string>",
"statusCode": 123,
"details": {}
}Policies
Query policies
Retrieve a list of policies based on specified filters.
GET
/
api
/
v2
/
policies
/
Query policies
Query Parameters
Comma-separated ICD-10-CM codes to filter by
Comma-separated HCPCS codes to filter by
Keywords describing the policy content
String for keyword extraction (beta)
ID of the plan to which the policy belongs
ID of the company to which the policy belongs
Type of policy (MEDICAL_POLICY, PAYMENT_POLICY, etc.)
Filter policies active at this date (YYYY-MM-DD)
Filter policies updated on or after this date (YYYY-MM-DD)
Filter policies updated on or before this date (YYYY-MM-DD)
Maximum number of results to return
Number of results to skip